## python-immutabledict 2.2.1

=== Makefile ===
PYTHON=poetry run

.PHONY: format
.SILENT: format
format:
	$(PYTHON) black immutabledict tests
	$(PYTHON) isort immutabledict tests

.PHONY: style
.SILENT: style
style:
	$(PYTHON) black --check immutabledict tests
	$(PYTHON) isort --check-only  immutabledict tests
	$(PYTHON) mypy -- immutabledict
	$(PYTHON) pflake8 immutabledict tests

.PHONY: test
.SILENT: test
test:
	$(PYTHON) pytest tests --cov=immutabledict --cov-report=xml

=== debian/changelog ===
python-immutabledict (2.2.1-2) unstable; urgency=medium

  * No-changes source-only upload.

 -- Andrius Merkys <merkys@debian.org>  Sat, 19 Feb 2022 06:29:34 -0500

python-immutabledict (2.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #991315)

 -- Andrius Merkys <merkys@debian.org>  Fri, 18 Feb 2022 05:20:08 -0500

=== debian/control ===
Source: python-immutabledict
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andrius Merkys <merkys@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3-all,
               python3-poetry,
               python3-pytest <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://github.com/corenting/immutabledict/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-immutabledict
Vcs-Git: https://salsa.debian.org/python-team/packages/python-immutabledict.git
#Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-immutabledict
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: immutable wrapper around dictionaries (fork of frozendict)
 Immutabledict implements the complete mapping interface and can be
 used as a drop-in replacement for dictionaries where immutability is
 desired. The immutabledict constructor mimics dict, and all of the
 expected interfaces (iter, len, repr, hash, getitem) are provided. Note
 that an immutabledict does not guarantee the immutability of its values,
 so the utility of hash method is restricted by usage.
 .
 The only difference is that the copy() method of immutable takes variable
 keyword arguments, which will be present as key/value pairs in the new,
 immutable copy.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME = immutabledict

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- --test-pytest

## python-immutabledict 2.2.3

=== Makefile ===
PYTHON=poetry run

.PHONY: format
format:
	$(PYTHON) black immutabledict tests
	$(PYTHON) isort immutabledict tests

.PHONY: style
style:
	$(PYTHON) black --check immutabledict tests
	$(PYTHON) isort --check-only  immutabledict tests
	$(PYTHON) mypy -- immutabledict
	$(PYTHON) pflake8 immutabledict tests

.PHONY: test
test:
	$(PYTHON) pytest tests --cov=immutabledict --cov-report=xml

=== debian/changelog ===
python-immutabledict (2.2.3-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Build-Depend on poetry-core, not poetry (poetry-core is sufficient,
    while poetry is not available in bullseye-backports).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 21 Feb 2023 10:09:11 +0100

python-immutabledict (2.2.3-1) unstable; urgency=medium

  * New upstream version 2.2.3

 -- Andrius Merkys <merkys@debian.org>  Sun, 13 Nov 2022 03:33:31 -0500

python-immutabledict (2.2.2-1) unstable; urgency=medium

  * New upstream version 2.2.2
  * Update standards version to 4.6.1, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Thu, 03 Nov 2022 03:36:43 -0400

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                dh-python,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-poetry,
+               python3-poetry-core,
                python3-pytest <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/corenting/immutabledict/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-immutabledict
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-immutabledict.git

## python-immutabledict 2.2.5

=== Makefile ===
PYTHON=poetry run

.PHONY: format
format:
	$(PYTHON) black immutabledict tests
	$(PYTHON) ruff --fix immutabledict tests

.PHONY: style
style:
	$(PYTHON) black --check immutabledict tests
	$(PYTHON) ruff immutabledict tests
	$(PYTHON) mypy -- immutabledict

.PHONY: test
test:
	$(PYTHON) pytest tests --cov=immutabledict --cov-report=xml

=== debian/changelog ===
python-immutabledict (2.2.5-1) unstable; urgency=medium

  * New upstream version 2.2.5

 -- Andrius Merkys <merkys@debian.org>  Fri, 07 Jul 2023 02:42:55 -0400

python-immutabledict (2.2.4-1) experimental; urgency=medium

  * New upstream version 2.2.4
  * Update standards version to 4.6.2, no changes needed.
  * Add missing build-dependency on python3-poetry-core.
  * Bump copyright years.
  * Cleanup debian/rules.

 -- Andrius Merkys <merkys@debian.org>  Thu, 13 Apr 2023 04:24:19 -0400

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,10 @@
                dh-python,
                pybuild-plugin-pyproject,
                python3-all,
+               python3-poetry,
+               python3-pytest <!nocheck>,
                python3-poetry-core,
-               python3-pytest <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/corenting/immutabledict/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-immutabledict
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-immutabledict.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = immutabledict

%:
	dh $@ --buildsystem pybuild --with python3

override_dh_auto_test:
	dh_auto_test -- --test-pytest

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%immutabledict-$1.tar.gz%" \
   https://github.com/corenting/immutabledict/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-immutabledict 4.2.1

=== Makefile ===
PYTHON=poetry run

.PHONY: format
format:
	$(PYTHON) ruff format immutabledict tests
	$(PYTHON) ruff check --fix immutabledict tests

.PHONY: style
style:
	$(PYTHON) ruff format --check immutabledict tests
	$(PYTHON) ruff check immutabledict tests
	$(PYTHON) mypy -- immutabledict tests

.PHONY: test
test:
	$(PYTHON) pytest tests --cov=immutabledict --cov-report=xml

.PHONY: build-doc
build-doc:
	$(PYTHON) sphinx-build -M html docs docs/build

=== debian/changelog ===
python-immutabledict (4.2.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Wed, 08 Oct 2025 08:04:30 -0400

python-immutabledict (4.2.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.2.1.
  * d/control: Bump Standards-Version to 4.7.0, no changes needed.
  * d/copyright: Update upstream license from MIT to Expat, and add myself
    to the authors.

 -- Bruno Martins <bruno.martval@gmail.com>  Tue, 11 Feb 2025 03:13:30 -0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-poetry,
                python3-pytest <!nocheck>,
                python3-poetry-core,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/corenting/immutabledict/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-immutabledict
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-immutabledict.git

## python-immutabledict 4.2.2

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 style:
 	$(PYTHON) ruff format --check immutabledict tests
 	$(PYTHON) ruff check immutabledict tests
-	$(PYTHON) mypy -- immutabledict tests
+	$(PYTHON) pyright -- immutabledict tests
 
 .PHONY: test
 test:

=== debian/changelog ===
python-immutabledict (4.2.2-1) unstable; urgency=medium

  * New upstream version 4.2.2

 -- Andrius Merkys <merkys@debian.org>  Wed, 29 Oct 2025 05:28:39 -0400

=== debian/tests/control ===
Test-Command: pytest-3
Depends:
 python3-pytest,
 @,
